#include <bits/stdc++.h>

using namespace std;

int polja[50000];

int main()
{
    int n,m,redmax=0,kolmax=0;
    cin>>n>>m;
    int minred[n],maxred[n],minkolona[m],maxkolona[m]/*,matrica[n][m]*/;
    for(int i=0;i<n;i++){
        cin>>minred[i]>>maxred[i];
        redmax+=maxred[i];
    }
    for(int i=0;i<m;i++){
        cin>>minkolona[i]>>maxkolona[i];
        kolmax+=maxkolona[i];
    }

    /*for(int i=0;i<n;i++){
        cout<<minred[i]<<"-"<<maxred[i]<<" ";
    }
    cout<<endl;
    for(int i=0;i<m;i++){
        cout<<minkolona[i]<<"-"<<maxkolona[i]<<" ";
    }*/
    /*for(int i=0;i<n;i++){
        for(int j=0;j<m;j++){
            matrica[i][j]=0;
        }
    }
    for(int i=0;i<n;i++){
        matrica[i][i]=maxred[i];
    }*/

    cout<<redmax<<"\n"<<n<<"\n";
    for(int i=0;i<n;i++){
        for(int j=0;j<m;j++){
            if(i==j)cout<<maxred[i]<<" ";
            else{
                cout<<"0 ";
            }
        }
        cout<<"\n";
    }
    return 0;
}
/*
3 3
2 10
1 11
3 15
4 20
5 27
6 19*/